Bug 147678 - gsl-config --libs produces wrong output
gsl-config --libs produces wrong output
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gsl (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 10:27 EST by Martins Innus
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-172
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 08:18:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martins Innus 2005-02-10 10:27:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040612 Firefox/0.8

Description of problem:
The gsl-1.1-nousr.patch patch in this package messes up the gsl-config
--libs command under x86_64. The offending lines:

-               echo @GSL_LIBS@ $GSL_CBLAS_LIB -lm
+               echo @GSL_LIBS@ $GSL_CBLAS_LIB -lm | sed "s|-L/usr/lib||g"


Cause the following output:

[minnus@zappa SOURCES]$ gsl-config --libs
64 -lgsl -lgslcblas -lm

The "64" being left over from -L/usr/lib64, where the rest was
stripped out by the above "sed" command.

Version-Release number of selected component (if applicable):
gsl-devel-1.5-1

How reproducible:
Always

Steps to Reproduce:
1.gsl-config --libs
2.
3.
    

Actual Results:  64 -lgsl -lgslcblas -lm

Expected Results:  -lgsl -lgslcblas -lm

or

-L/usr/lib64 -lgsl -lgslcblas -lm

Additional info:
Comment 1 Florian La Roche 2005-02-13 09:50:02 EST
Maybe removing this from the spec file and using the %_libdir (??)
macro is best?
Comment 2 Jay Turner 2005-04-14 11:12:52 EDT
Fixed with gsl-1.5-2.rhel4.  Moving to PROD_READY.
Comment 3 Tim Powers 2005-06-09 08:18:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-172.html

Note You need to log in before you can comment on or make changes to this bug.